# Ceci est le fichier de configuration pour DOSBox 0.74. (Utilisez s'il vous plait la dernière version de DOSBox)
# Les lignes commençant avec un # sont des lignes de commentaires et sont ignorées par DOSBox.
# Elles servent à documenter (brièvement) la fonction de chaque option.

[sdl]
#       fullscreen: Démarrer DOSBox directement en mode plein écran. (Appuyer sur Alt-Entrée pour revenir en mode fenêtre)
#                   Valeurs possibles: true, false
#       fulldouble: Utiliser le double buffering en mode plein écran. Cela peut réduire le scintillement de l'écran, mais aussi ralentir DOSBox.
#                   Valeurs possibles: true, false
#   fullresolution: Résolution à utiliser pour le plein écran: original ou taille fixe (ex: 1024x768).
#                     Utiliser la résolution native de votre écran avec aspect=true pourrait donner les meilleurs résultats.
#                     Si vous obtenez une petite fenêtre sur un grand écran, essayer une valeur de "output" différente de surface.
# windowresolution: Mettre l'échelle de la fenêtre à cette taille SI le mode de sortie supporte le hardware scaling (mise à l'échelle matérielle).
#                     (output=surface ne le fait pas!)
#           output: Système vidéo à utiliser pour la sortie.
#                   Valeurs possibles: surface, overlay, opengl, openglnb, ddraw.
#         autolock: La souris se verrouillera automatiquement en cliquant sur l'écran. (Appuyer sur CTRL-F10 pour déverrouiller)
#                   Valeurs possibles: true, false
#      sensitivity: Sensibilité de la souris.
#      waitonerror: Attendre avant de fermer la console si une erreur se produit dans DOSBox.
#                   Valeurs possibles: true, false
#         priority: Niveaux de priorité pour DOSBox. La deuxième valeur après la virgule est lorsque DOSBox n'est pas actif/réduit.
#                     pause n'est valable que pour la seconde entrée.
#                   Valeurs possibles: lowest, lower, normal, higher, highest, pause.
#       mapperfile: Fichier utilisé pour charger/sauver les correspondances touche/événement. Resetmapper ne fonctionne qu'avec la valeur par défaut.
#     usescancodes: Empêche l'utilisation des symkeys, peut ne pas fonctionner sur tous les systèmes d'exploitation.
#                   Valeurs possibles: true, false

fullscreen=false
fulldouble=false
fullresolution=original
windowresolution=original
output=surface
autolock=true
sensitivity=100
waitonerror=true
priority=higher,normal
mapperfile=mapper-0.74.map
usescancodes=true

[dosbox]
# language: Sélectionner un autre fichier de langue.
#  machine: Type de machine à émuler.
#           Valeurs possibles: hercules, cga, tandy, pcjr, ega, vgaonly, svga_s3, svga_et3000, svga_et4000, svga_paradise, vesa_nolfb, vesa_oldvbe.
# captures: Répertoire où les objets comme les sons wave, musiques midi, et captures d'écran sont enregistrés.
#  memsize: Quantité de mémoire dont DOSBox dispose, en Mégaoctets.
#             Il est mieux de laisser cette valeur d'origine pour éviter les problèmes avec certains jeux,
#             bien que quelques jeux puissent nécessiter une valeur plus élevée.
#             Il n'y a généralement pas de gain de vitesse en augmentant cette valeur.

language=francais074.lng
machine=svga_s3
captures=capture
memsize=16

[render]
# frameskip: Nombre d'images que DOSBox saute avant d'en afficher une autre.
#    aspect: Applique une correction d'aspect, si le mode de sortie ne supporte pas le scaling, cela peut ralentir le fonctionnement!.
#            Valeurs possibles: true, false
#    scaler: Scaler utilisé pour agrandir/améliorer les modes basse résolution.
#              Si l'option "forced" est ajoutée, alors le scaler sera utilisé même si le résultat ne semble pas celui escompté.
#            Valeurs possibles: none, normal2x, normal3x, advmame2x, advmame3x, advinterp2x, advinterp3x, hq2x, hq3x, 2xsai, super2xsai, supereagle, tv2x, tv3x, rgb2x, rgb3x, scan2x, scan3x.

frameskip=0
aspect=false
scaler=normal2x

[cpu]
#      core: Core CPU utilisé dans l'émulation. "auto" bascule de "normal" à "dynamic" si c'est disponible et approprié.
#            Valeurs possibles: auto, dynamic, normal, simple.
#   cputype: Type de CPU utilisés dans l'émulation. "auto" est le choix le plus rapide.
#            Valeurs possibles: auto, 386, 386_slow, 486_slow, pentium_slow, 386_prefetch.
#    cycles: Nombre d'instructions que DOSBox essaye d'émuler à chaque milliseconde.
#            Paramétrer une trop grande valeur donne des coupures de son et des saccades.
#            Les cycles peuvent être définis de 3 façons:
#              'auto'          essaye de deviner ce dont un jeu a besoin.
#                              Cela fonctionne généralement, mais peut échouer avec certains jeux.
#              'fixed #nombre' définira une quantité fixe de cycles. C'est généralement ce qu'il faut si 'auto' échoue.
#                              (Exemple: fixed 4000)
#              'max'           allouera autant de cycles que votre ordinateur est capable de gérer.
#            
#            Valeurs possibles: auto, fixed, max.
#   cycleup: Nombre de cycles à ajouter/réduire avec la combinaison de touches.(CTRL-F11/CTRL-F12)
# cycledown: Le paramétrer à moins de 100 donnera un pourcentage.

core=auto
cputype=auto
cycles=auto
cycleup=10
cycledown=20

[mixer]
#   nosound: Activer le mode silence, le son étant cependant toujours émulé.
#            Valeurs possibles: true, false
#      rate: Taux d'échantillonnage du Mixer, paramétrer tout taux d'un périphérique plus haut que cela va probablement déteriorer leur qualité sonore.
#            Valeurs possibles: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
# blocksize: Taille de bloc du Mixer, des blocs plus gros peuvent aider pour les saccades de son mais il sera aussi moins en phase.
#            Valeurs possibles: 1024, 2048, 4096, 8192, 512, 256.
# prebuffer: Nombre de millisecondes de données à garder en amont du paramètre blocksize.

nosound=false
rate=44100
blocksize=1024
prebuffer=20

[midi]
#     mpu401: Type de MPU-401 à émuler.
#             Valeurs possibles: intelligent, uart, none.
# mididevice: Périphérique qui recevra les données MIDI du MPU-401.
#             Valeurs possibles: default, win32, alsa, oss, coreaudio, coremidi, none.
# midiconfig: Options de configuration spécifique pour le pilote de périphérique. C'est généralement l'ID du périphérique que vous voulez utiliser.
#               Voir le fichier README pour les détails.

mpu401=intelligent
mididevice=default
midiconfig=

[sblaster]
#  sbtype: Type de Soundblaster à émuler. gb est pour Gameblaster
#          Valeurs possibles: sb1, sb2, sbpro1, sbpro2, sb16, gb, none.
#  sbbase: Adresse IO de la Soundblaster.
#          Valeurs possibles: 220, 240, 260, 280, 2a0, 2c0, 2e0, 300.
#     irq: Numéro d'IRQ de la Soundblaster.
#          Valeurs possibles: 7, 5, 3, 9, 10, 11, 12.
#     dma: Numéro DMA de la Soundblaster.
#          Valeurs possibles: 1, 5, 0, 3, 6, 7.
#    hdma: Numéro DMA Haut de la Soundblaster.
#          Valeurs possibles: 1, 5, 0, 3, 6, 7.
# sbmixer: Permet au mixer Soundblaster de modifier le mixer de DOSBox.
#          Valeurs possibles: true, false
# oplmode: Type d'émulation OPL. Pour "auto", le mode est déterminé par le type de Soundblaster. Tous les modes OPL sont compatibles Adlib, sauf pour CMS.
#          Valeurs possibles: auto, cms, opl2, dualopl2, opl3, none.
#  oplemu: Source pour l'émulation OPL. "compat" pourait offrir une meilleure qualité (voir également oplrate).
#          Valeurs possibles: default, compat, fast.
# oplrate: Taux d'échantillonnage de l'émulation musicale OPL. Utiliser 49716 pour la meilleure qualité (paramétrer le taux du mixer en conséquence).
#          Valeurs possibles: 44100, 49716, 48000, 32000, 22050, 16000, 11025, 8000.

sbtype=sb16
sbbase=220
irq=7
dma=1
hdma=5
sbmixer=true
oplmode=auto
oplemu=default
oplrate=44100

[gus]
#      gus: Activer l'émulation Gravis Ultrasound.
#           Valeurs possibles: true, false
#  gusrate: Taux d'échantillonnage de l'émulation Ultrasound.
#           Valeurs possibles: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#  gusbase: Adresse de base IO de la Gravis Ultrasound.
#           Valeurs possibles: 240, 220, 260, 280, 2a0, 2c0, 2e0, 300.
#   gusirq: Numéro d'IRQ de la Gravis Ultrasound.
#           Valeurs possibles: 5, 3, 7, 9, 10, 11, 12.
#   gusdma: Canal DMA de la Gravis Ultrasound.
#           Valeurs possibles: 3, 0, 1, 5, 6, 7.
# ultradir: Chemin vers le répertoire Ultrasound. Dans ce répertoire,
#           il devrait y avoir un répertoire MIDI qui contient
#           les fichiers patch pour l'écoute en GUS. Le jeu de patch
#           utilisé avec Timidity devrait bien fonctionner.

gus=false
gusrate=44100
gusbase=240
gusirq=5
gusdma=3
ultradir=C:\ULTRASND

[speaker]
# pcspeaker: Activer l'émulation Haut-Parleur PC.
#            Valeurs possibles: true, false
#    pcrate: Taux d'échantillonnage de la génération de son du Haut-Parleur PC.
#            Valeurs possibles: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#     tandy: Activer l'émulation du Tandy Sound System. Pour "auto", l'émulation est présente seulement si la machine est paramétrée sur "tandy".
#            Valeurs possibles: auto, on, off.
# tandyrate: Taux d'échantillonnage de la génération 3-Voix Tandy.
#            Valeurs possibles: 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#    disney: Activer l'émulation Disney Sound Source. (Covox Voice Master et Speech Thing compatibles).
#            Valeurs possibles: true, false

pcspeaker=true
pcrate=44100
tandy=auto
tandyrate=44100
disney=true

[joystick]
# joysticktype: Type de manette à émuler: auto (défaut), none(aucun)
#               2axis (supporte deux manettes),
#               4axis (supporte une manette, première manette utilisée),
#               4axis_2 (supporte une manette, seconde manette utilisée),
#               fcs (Thrustmaster), ch (CH Flightstick).
#               "none" désactive l'émulation de la manette.
#               "auto" choisit l'émulation selon la(les) manette(s) réelle(s).
#               (Rappelez-vous de réinitialiser le fichier de correspondance des touches de DOSBox si vous l'avez sauvé plus tôt)
#               Valeurs possibles: auto, 2axis, 4axis, 4axis_2, fcs, ch, none.
#        timed: Activer des intervalles de temps pour les axes ("false" est l'ancienne méthode de comportement).
#               Valeurs possibles: true, false
#     autofire: Tirer continuellement tant que le bouton est activé.
#               Valeurs possibles: true, false
#       swap34: Echanger les 3ème et 4ème axes. Peut ˆtre utile avec certaines manettes.
#               Valeurs possibles: true, false
#   buttonwrap: Activer l'inversion de bouton pour le nombre de boutons émulés.
#               Valeurs possibles: true, false

joysticktype=auto
timed=true
autofire=false
swap34=false
buttonwrap=false

[serial]
# serial1: Définir le type de périphérique connecté au port série.
#          Peut être disabled(désactivé), dummy(factice), modem, nullmodem, directserial.
#          Les paramètres additionnels doivent être sur la même ligne sous la forme
#          paramètre:valeur. Le paramètre pour tous les types est irq (optionnel).
#          Pour directserial: realport (requis), rxdelay (optionnel).
#                            (realport:COM1 realport:ttyS0).
#          Pour modem: listenport (optionnel).
#          Pour nullmodem: server, rxdelay, txdelay, telnet, usedtr,
#                          transparent, port, inhsocket (tous optionnels).
#          Exemple: serial1=modem listenport:5000.
#          Valeurs possibles: dummy, disabled, modem, nullmodem, directserial.
# serial2: voir serial1.
#          Valeurs possibles: dummy, disabled, modem, nullmodem, directserial.
# serial3: voir serial1.
#          Valeurs possibles: dummy, disabled, modem, nullmodem, directserial.
# serial4: voir serial1.
#          Valeurs possibles: dummy, disabled, modem, nullmodem, directserial.

serial1=dummy
serial2=dummy
serial3=disabled
serial4=disabled

[dos]
#            xms: Activer la prise en charge de mémoire XMS (ou étendue).
#                 Valeurs possibles: true, false
#            ems: Activer la prise en charge de mémoire EMS (ou paginée).
#                 Valeurs possibles: true, false
#            umb: Activer la prise en charge des UMB (bloc mémoire supérieure).
#                 Valeurs possibles: true, false
# keyboardlayout: Code langue pour la disposition du clavier (ou aucun).

xms=true
ems=true
umb=true
keyboardlayout=auto

[ipx]
# ipx: ipx -- Activer l'émulation ipx … travers UDP/IP.
#      Valeurs possibles: true, false

ipx=false

[autoexec]
# Les lignes de cette section seront lancées au démarrage.
# Vous pouvez mettre vos commandes MOUNT ici.


